Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015836
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2011-02-01 21:002012-04-21 14:24
ReporterwimjassenView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchFixed in SCM revision4c34b4aeb047
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUBUNTU 10.10Database version8.4Ant version1.8.0
Product Version2.50MP23SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015836: function c_location_description does not return correct data

DescriptionThe function c_location_description does not return correct data. It seems that the case statement: WHEN(L.POSTAL||L.CITY||R.NAME) IS NULL always return NULL when there is no region.
As a result no postal and city are returned by the function.
Steps To Reproducecall stored procedure with an existing location_id where no region is defined
Proposed SolutionReplace case statement by: WHEN(L.POSTAL IS NULL AND L.CITY IS NULL AND R.NAME IS NULL)
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0047703)
hgbot (developer)
2012-04-18 14:00

Repository: erp/devel/pi
Changeset: 4c34b4aeb0476f89790ae0315dd7a02ad1f7a857
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Wed Apr 18 13:59:46 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4c34b4aeb0476f89790ae0315dd7a02ad1f7a857 [^]

Fixes issue 15836: function c_location_description does not return correct data

---
M src-db/database/model/functions/C_LOCATION_DESCRIPTION.xml
---
(0047707)
mirurita (developer)
2012-04-18 14:09

Testing Plan:

Location output format should be:
--------------------------------
<address1>
<address2>
<postal code> - <city> (<region>)
--------------------------------

Check the output of the function after each of the updates (postgresql/oracle)
select c_location_description('X') from dual;

-- UPDATE c_location set postal=null, city=null, c_region_id = null where c_location_id = 'X'
-- UPDATE c_location set postal='12345', city=null, c_region_id = null where c_location_id = 'X'
-- UPDATE c_location set postal=null, city='city', c_region_id = null where c_location_id = 'X'
-- UPDATE c_location set postal=null, city=null, c_region_id = '108' where c_location_id = 'X'
-- UPDATE c_location set postal='12345', city='city', c_region_id = null where c_location_id = 'X'
-- UPDATE c_location set postal=null, city='city', c_region_id = '108' where c_location_id = 'X'
-- UPDATE c_location set postal='12345', city=null, c_region_id = '108' where c_location_id = 'X'
-- UPDATE c_location set postal='12345', city='city', c_region_id = '108' where c_location_id = 'X'
(0047803)
hgbot (developer)
2012-04-20 15:34

Repository: erp/devel/pi
Changeset: 33a11a6caf22ec0cea7b26ccb95b2562ef55b656
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Apr 20 14:33:11 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33a11a6caf22ec0cea7b26ccb95b2562ef55b656 [^]

Related to issue 15836: code review.

---
M src-db/database/model/functions/C_LOCATION_DESCRIPTION.xml
---
(0047809)
vmromanos (developer)
2012-04-20 16:07

code review + testing OK
(0047833)
hudsonbot (developer)
2012-04-21 14:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2eb57286c1fc [^]

Maturity status: Test
(0047859)
hudsonbot (developer)
2012-04-21 14:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2eb57286c1fc [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-02-01 21:00 wimjassen New Issue
2011-02-01 21:00 wimjassen Assigned To => alostale
2011-02-01 21:00 wimjassen Modules => Core
2011-02-07 08:31 alostale Status new => scheduled
2012-02-28 13:29 alostale Assigned To alostale => vmromanos
2012-04-11 12:00 vmromanos Tag Attached: VMA-Reviewed
2012-04-18 13:46 mirurita Assigned To vmromanos => mirurita
2012-04-18 14:00 hgbot Checkin
2012-04-18 14:00 hgbot Note Added: 0047703
2012-04-18 14:00 hgbot Status scheduled => resolved
2012-04-18 14:00 hgbot Resolution open => fixed
2012-04-18 14:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4c34b4aeb0476f89790ae0315dd7a02ad1f7a857 [^]
2012-04-18 14:09 mirurita Note Added: 0047707
2012-04-20 15:34 hgbot Checkin
2012-04-20 15:34 hgbot Note Added: 0047803
2012-04-20 16:07 vmromanos Note Added: 0047809
2012-04-20 16:07 vmromanos Status resolved => closed
2012-04-20 16:07 vmromanos Fixed in Version => 3.0MP11
2012-04-21 14:24 hudsonbot Checkin
2012-04-21 14:24 hudsonbot Note Added: 0047833
2012-04-21 14:24 hudsonbot Checkin
2012-04-21 14:24 hudsonbot Note Added: 0047859


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker